OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectType Class Reference

A SelectType keeps or rejects Entities of which the Type
is Kind of a given Cdl Type
.

`#include <IFSelect_SelectType.hxx>`

Inheritance diagram for IFSelect_SelectType:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_SelectType ()
| Creates a SelectType. Default is no filter .
Standard_EXPORT | IFSelect_SelectType (const Handle(Standard_Type)&atype)
| Creates a SelectType for a given Type .
Standard_EXPORT void | SetType (const Handle(Standard_Type)&atype)
| Sets a TYpe for filter .
Standard_EXPORT Handle_Standard_Type | TypeForMatch () const
| Returns the Type to be matched for select : this is the type given at instantiation time .
Standard_EXPORT TCollection_AsciiString | ExtractLabel () const
| Returns a text defining the criterium. (should by gotten from Type of Entity used for instantiation) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Standard_Type | thetype

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectType::IFSelect_SelectType | ( |  | ) |

Standard_EXPORT IFSelect_SelectType::IFSelect_SelectType | ( | const Handle(Standard_Type)& | atype | ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString IFSelect_SelectType::ExtractLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT const IFSelect_SelectType::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectAnyType.

Standard_EXPORT void IFSelect_SelectType::SetType | ( | const Handle(Standard_Type)& | atype | ) |

Standard_EXPORT Handle_Standard_Type IFSelect_SelectType::TypeForMatch | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectAnyType.

## Field Documentation

Handle_Standard_Type IFSelect_SelectType::thetype`[private]`

The documentation for this class was generated from the following file:

- IFSelect_SelectType.hxx